communications:
  mattermost:
    botName: "{{ cloudstack.plugins.botkube.config.communications.mattermost.botname }}"
    enabled: {{ cloudstack.plugins.botkube.config.communications.mattermost.enabled }}
    url: "{{ cloudstack.plugins.botkube.config.communications.mattermost.url }}"
    token: "{{ cloudstack.plugins.botkube.config.communications.mattermost.token }}"
    team: "{{ cloudstack.plugins.botkube.config.communications.mattermost.team }}"
    channel: "{{ cloudstack.plugins.botkube.config.communications.mattermost.channel }}"
  webhook:
    enabled: {{ cloudstack.plugins.botkube.config.communications.webhook.enabled }}
    url: "{{ cloudstack.plugins.botkube.config.communications.webhook.url }}"
  teams:
    enabled: {{ cloudstack.plugins.botkube.config.communications.teams.enabled }}
    appID: "{{ cloudstack.plugins.botkube.config.communications.teams.appid }}"
    appPassword: "{{ cloudstack.plugins.botkube.config.communications.teams.apppassword }}"
    notiftype: "{{ cloudstack.plugins.botkube.config.communications.teams.notiftype }}"
    port: "{{ cloudstack.plugins.botkube.config.communications.teams.port }}"
config:
  settings:
    clustername: "{{ cloudstack.plugins.botkube.config.config.settings.clustername }}"
    kubectl:
      enabled: {{ cloudstack.plugins.botkube.config.config.settings.kubectl.enabled }}
  resources:
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.pods %}
    - name: v1/pods
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.services %}
    - name: v1/services
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.deployments %}
    - name: apps/v1/deployments
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - update
        - delete
        - error
      updateSetting:
        includeDiff: true
        fields:
          - spec.template.spec.containers[*].image
          - status.availableReplicas
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.statefulsets %}
    - name: apps/v1/statefulsets
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - update
        - delete
        - error
      updateSetting:
        includeDiff: true
        fields:
          - spec.template.spec.containers[*].image
          - status.readyReplicas
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.ingresses %}
    - name: networking.k8s.io/v1beta1/ingresses
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.nodes %}
    - name: v1/nodes
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.namespaces %}
    - name: v1/namespaces
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.persistentvolumes %}
    - name: v1/persistentvolumes
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.persistentvolumeclaims %}
    - name: v1/persistentvolumeclaims
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.configmaps %}
    - name: v1/configmaps
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.daemonsets %}
    - name: apps/v1/daemonsets
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - update
        - delete
        - error
      updateSetting:
        includeDiff: true
        fields:
          - spec.template.spec.containers[*].image
          - status.numberReady
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.jobs %}
    - name: batch/v1/jobs
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - update
        - delete
        - error
      updateSetting:
        includeDiff: true
        fields:
          - spec.template.spec.containers[*].image
          - status.conditions[*].type
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.roles %}
    - name: rbac.authorization.k8s.io/v1/roles
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.rolebindings %}
    - name: rbac.authorization.k8s.io/v1/rolebindings
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.clusterrolebindings %}
    - name: rbac.authorization.k8s.io/v1/clusterrolebindings
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.kubernetes.clusterroles %}
    - name: rbac.authorization.k8s.io/v1/clusterroles
      namespaces:
        include:
          - all
        ignore:
          -
      events:
        - create
        - delete
        - error
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.velero.backups %}
    - name: velero.io/v1/backups
      namespaces:
        include:
          - all
      events:
        - all
      updateSetting:
        includeDiff: true
        fields:
          - status.phase
{% endif %}
{% if cloudstack.plugins.botkube.config.config.resources.velero.restores %}
    - name: velero.io/v1/restores
      namespaces:
        include:
          - all
      events:
        - all
      updateSetting:
        includeDiff: true
        fields:
          - status.phase
{% endif %}